#
# spec file for package gstreamer-editing-services
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gstreamer-editing-services
Version:        1.8.3
Release:        1.2
Summary:        GStreamer Editing Services
License:        GPL-3.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer-editing-services/html/ges-architecture.html
Source:         http://gstreamer.freedesktop.org/src/gstreamer-editing-services/%{name}-%{version}.tar.xz
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(bash-completion) >= 2.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.16
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:  pkgconfig(gst-validate-1.0) >= 1.8.0
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.8.0
BuildRequires:  pkgconfig(gstreamer-controller-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0) >= 1.8.0
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 1.8.0
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:  pkgconfig(gtk+-x11-3.0) >= 2.91.3
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GStreamer multimedia framework and the accompanying GNonLin set of plugins for non-linear editing offer all the building blocks for:

    Decoding and encoding to a wide variety of formats, through all the available GStreamer plugins.

    Easily choosing segments of streams and arranging them through time through the GNonLin set of plugins.

But all those building blocks only offer stream-level access, which results in developers who want to write non-linear editors to write a consequent amount of code to get to the level of non-linear editing notions which are closer and more meaningful for the end-user (and therefore the application).

The GStreamer Editing Services (hereafter GES) aims to fill the gap between GStreamer/GNonLin and the application developer by offering a series of classes to simplify the creation of many kind of editing-related applications.

%package -n libges-1_0-0
Summary:        GStreamer Editing Services - Libraries
License:        LGPL-2.1+
Group:          System/Libraries

%description -n libges-1_0-0
The GStreamer multimedia framework and the accompanying GNonLin set of plugins for non-linear editing offer all the building blocks for:

    Decoding and encoding to a wide variety of formats, through all the available GStreamer plugins.

    Easily choosing segments of streams and arranging them through time through the GNonLin set of plugins.

But all those building blocks only offer stream-level access, which results in developers who want to write non-linear editors to write a consequent amount of code to get to the level of non-linear editing notions which are closer and more meaningful for the end-user (and therefore the application).

The GStreamer Editing Services (hereafter GES) aims to fill the gap between GStreamer/GNonLin and the application developer by offering a series of classes to simplify the creation of many kind of editing-related applications.

%package -n typelib-1_0-GES-1_0
Summary:        GStreamer Editing Services - Libraries
License:        GPL-3.0+ and LGPL-2.1+
Group:          System/Libraries

%description -n typelib-1_0-GES-1_0
The GStreamer multimedia framework and the accompanying GNonLin set of plugins for non-linear editing offer all the building blocks for:

    Decoding and encoding to a wide variety of formats, through all the available GStreamer plugins.

    Easily choosing segments of streams and arranging them through time through the GNonLin set of plugins.

But all those building blocks only offer stream-level access, which results in developers who want to write non-linear editors to write a consequent amount of code to get to the level of non-linear editing notions which are closer and more meaningful for the end-user (and therefore the application).

The GStreamer Editing Services (hereafter GES) aims to fill the gap between GStreamer/GNonLin and the application developer by offering a series of classes to simplify the creation of many kind of editing-related applications.

%package devel
Summary:        GStreamer Editing Services - Development files
License:        GPL-3.0+ and LGPL-2.1+
Group:          Development/Languages/C and C++
Requires:       libges-1_0-0 = %{version}
Requires:       typelib-1_0-GES-1_0 = %{version}

%description devel
The GStreamer multimedia framework and the accompanying GNonLin set of plugins for non-linear editing offer all the building blocks for:

    Decoding and encoding to a wide variety of formats, through all the available GStreamer plugins.

    Easily choosing segments of streams and arranging them through time through the GNonLin set of plugins.

But all those building blocks only offer stream-level access, which results in developers who want to write non-linear editors to write a consequent amount of code to get to the level of non-linear editing notions which are closer and more meaningful for the end-user (and therefore the application).

The GStreamer Editing Services (hereafter GES) aims to fill the gap between GStreamer/GNonLin and the application developer by offering a series of classes to simplify the creation of many kind of editing-related applications.

%prep
%setup -q

%build
%configure \
    --enable-introspection
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print

%post -n libges-1_0-0 -p /sbin/ldconfig

%postun -n libges-1_0-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/ges-launch-1.0
%{_datadir}/bash-completion/completions/ges-launch-1.0
%dir %{_datadir}/gstreamer-1.0/validate-scenario
%{_datadir}/gstreamer-1.0/validate-scenario/ges-edit-clip-while-paused.scenario
%{_libdir}/gst-validate-launcher/python/launcher/apps/geslaunch.py
%dir %{python_sitearch}/gstreamer-editing-services
%{python_sitearch}/gstreamer-editing-services/GES.*

%files -n libges-1_0-0
%defattr(-,root,root)
%doc COPYING
%{_libdir}/gstreamer-1.0/libgstnle.so
%{_libdir}/libges-1.0.so.*

%files -n typelib-1_0-GES-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GES-1.0.typelib

%files devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/GES-1.0.gir
%{_includedir}/gstreamer-1.0/ges/
%{_libdir}/libges-1.0.so
%{_libdir}/pkgconfig/gst-editing-services-1.0.pc

%changelog
* Wed Aug 24 2016 zaitor@opensuse.org
- Update to version 1.8.3 (boo#996937):
  + Revert 3 commits:
  - "video-source: Expose deinterlace-[fields, mode, tff] child
    properties".
  - "container: Handle setting children properties that need
    prefixing".
  - "formatter: Prefix all children properties in the XML
    formatter".
* Fri Jul  1 2016 toddrme2178@gmail.com
- Fix Group tag.
* Wed Jun 15 2016 zaitor@opensuse.org
- Update to version 1.8.2:
  + bgo765853: timeline: rename "track-element" to
    "track_element" in select-tracks-for-object documentation.
  + bgo#765856: g-i: use only " ges/ges.h " as c-include for
    introspection.
  + bgo#766455: nlecomposition: ensure elements pending to be added
    are not leaked.
  + bgo#766459: ges: ges_asset_set_proxy documentation fix and add
    some g-i annotations.
  + bgo#766524: audio-source: unref private capsfilter reference on
    finalize.
  + bgo#767053: nlecomposition: Fix race condition in seek handling
    causing deadlocks.
  + bgo#767293: ges-uri-asset: GstDiscoverer can return a valid
    info but a non-OK result, consider this an error.
* Thu Apr 21 2016 zaitor@opensuse.org
- Update to version 1.8.1:
  + titlesource: Add support for absolute positionning.
* Sat Mar 26 2016 zaitor@opensuse.org
- Update to version 1.8.0:
  + Hardware-accelerated zero-copy video decoding on Android
  + New video capture source for Android using the
    android.hardware.Camera API.
  + Windows Media reverse playback support (ASF/WMV/WMA).
  + New tracing system provides support for more sophisticated
    debugging tools.
  + New high-level GstPlayer playback convenience API.
  + Initial support for the new Vulkan API, see Matthew Waters'
    blog post for more details.
  + Improved Opus audio codec support: Support for more than two
    channels; MPEG-TS demuxer/muxer can now handle Opus;
    sample-accurate encoding/decoding/transmuxing with Ogg,
    Matroska, ISOBMFF (Quicktime/MP4), and MPEG-TS as container;
    new codec utility functions for Opus header and caps handling
    in pbutils library. The Opus encoder/decoder elements were
    also moved to gst-plugins-base (from -bad), and the opus RTP
    depayloader/payloader to -good.
  + GStreamer VAAPI module now released and maintained as part of
    the GStreamer project.
  + Asset proxy support in the GStreamer Editing Services.
- Replace gobject-introspection-devel for
  pkgconfig(gobject-introspection-1.0) BuildRequires.
- Add explicit pkgconfig(glib-2.0) BuildRequires and version it.
- Add pkgconfig(gst-validate-1.0) BuildRequires: New dependency.
* Mon Jan 18 2016 zaitor@opensuse.org
- Update to version 1.6.2:
  + bash-completion: Disable during "make distcheck".
  + Revert "build: fix make distcheck."
  + tests: Properly setup GST_PLUGIN_PATH in test environement.
  + Dist gst-editing-services.doap.
  + ges: Set restriction caps in the audio source caps filter.
  + formatter: Do not serialize top effect priorities.
  + launcher: Make sure to not activate validate twice when simply
    loading a scene.
* Wed Jan 13 2016 antoine.belvire@laposte.net
- Move the NLE GStreamer plugin (libgstnle.so) from devel package
  to libges
* Sun Nov  1 2015 zaitor@opensuse.org
- Update to version 1.6.1:
  + TRY_GET leaks string pointer.
  + structure-parser: leaks internal lists.
  + nleoperation: leaks srcpad.
  + ges-project: leaks internal file info.
* Fri Oct  2 2015 zaitor@opensuse.org
- Update to version 1.6.0:
  + For changelog, see mainpackage changes, everything is condenced
    there.
  + nlecomposition allocates unused UpdateCompositionData.
- Add flex and pkgconfig(bash-completion) BuildRequires: New
  dependencies.
* Tue Nov  4 2014 dimstar@opensuse.org
- Update to 1.4.0:
  + Add support to gst-validate, allowing us to easily write
    integration testsuites.
  + Add multifilesrc support.
  + Give a name/unique identifier to all GESTimelineElement in the
    timeline.
  + ges-launch: Cleanup and allow using encoding profiles from
    project files.
  + bgo#738624: gst-editing-services fails to build with current
    git gstreamer-validate via Cerbero.
* Fri Jul 25 2014 dimstar@opensuse.org
- Upate to version 1.2.1:
  + ges-launch:
  - Properly handle project loading.
  - Format the position printing as in gst-validate and friends.
  - Not being able to load an asset is an error.
  + pipeline: Do not set EncodingProfile.presence when we have no
    track for the type.
  + Build fixes.
* Sat Apr 12 2014 zaitor@opensuse.org
- Update to version 1.2.0:
  + Bugs fixed: bgo#673040, bgo#651806, bgo#432662, bgo#644943,
    bgo#645385, bgo#646293, bgo#669827, bgo#669959, bgo#672751,
    bgo#673038, bgo#673714, bgo#677048, bgo#679941, bgo#681774,
    bgo#692864, bgo#695267, bgo#696226, bgo#701115, bgo#702424,
    bgo#702426, bgo#702605, bgo#703152, bgo#706855, bgo#707914,
    bgo#709777, bgo#710168, bgo#710172, bgo#710390, bgo#721111,
    bgo#724337, bgo#726365, bgo#678558, bgo#663869.
- Drop ges-extra-semicolon.patch: Fixed upstream.
* Sat Mar 15 2014 schwab@suse.de
- ges-extra-semicolon.patch: remove extra semicolon
* Tue Jan 21 2014 dimstar@opensuse.org
- Update License Tag: the source tarball contains GPL-3.0+ code
  for the samples. The library is licensed LGPL-2.1+.
* Sat Nov 30 2013 dimstar@opensuse.org
- Initial package, version 1.1.90.
